Loading...
Searching...
No Matches
gx_gui::CpMasterCaption Class Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::CpMasterCaption:

## Public Member Functions

| CpMasterCaption ()
| ~CpMasterCaption ()
void | init (Gxw::Regler &regler)
void | set_label (const char *label)

## Protected Attributes

CpBase | base
Gtk::Label | m_label

## Detailed Description

Definition at line 90 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## CpMasterCaption()

gx_gui::CpMasterCaption::CpMasterCaption | ( |  | ) |

Referenced by gx_gui::UiMasterReglerWithCaption< T >::UiMasterReglerWithCaption().

## ~CpMasterCaption()

gx_gui::CpMasterCaption::~CpMasterCaption | ( |  | ) |

## Member Function Documentation

## init()

void gx_gui::CpMasterCaption::init | ( | Gxw::Regler & | regler | ) |

Referenced by gx_gui::UiMasterReglerWithCaption< T >::UiMasterReglerWithCaption().

## set_label()

void gx_gui::CpMasterCaption::set_label | ( | const char * | label | ) |

## Member Data Documentation

## base

CpBase gx_gui::CpMasterCaption::base

protected

Definition at line 92 of file gx_main_interface.h.

## m_label

Gtk::Label gx_gui::CpMasterCaption::m_label

protected

Definition at line 93 of file gx_main_interface.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h